[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 홍쓰넷 Docker 도입 Project

> `Docker Swarm`도입을 검토하고, www.hongsnet.net에 성공적으로 도입한다.

# Table of Contents

| NO | ITEM | Content | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | Docker 설치 | [GO](./INSTALL/) | |
| 1 | Docker compose로 컨테이너 관리/제어 | [GO](./DOCKER-COMPOSE/) | |
| 2 | Docker Network 검토 | [GO](./NETWORK/) | |
| 2 | Docker Storage 검토 | [GO](./STORAGE/) | |
| 2 | Docker Swarm 클러스터 도입검토 | [GO](./SWARM/) | |
| 3 | Docker Swarm에서 애플리케이션 배포| [GO](./SWARM_APP/) | |
| 4 | Virtualization -> Docker Swarm로의 Migration 검토 및 검증| [GO](./MIGRATION/) | |
| 5 | www.hongsnet.net 서비스 구성 | [GO](./HONGSNET) | |

## System Overview

![system_overview](./begin-container.png)


## Begin Overview

![system_overview](./begin-container.png)
